function deletePreviousFiles(TerminiFolder)
% Function that deletes any previously created files to avoid duplication
    if ~exist(TerminiFolder)
      errorMessage = sprintf('Error: The following folder does not exist:\n%s', TerminiFolder);
      uiwait(warndlg(errorMessage));
      return;
    else
        filePattern = fullfile(TerminiFolder, '*.*'); % Change to whatever pattern you need.
        theFiles = dir(filePattern);
        for k = 1 : length(theFiles)
          baseFileName = theFiles(k).name;
          fullFileName = fullfile(TerminiFolder, baseFileName);
          delete(fullFileName);
        end
end